v_hdmi_common: Hdmi_common_v1_2

| v_hdmi_common Xilinx SDK Drivers API Documentation

- Overview
- Data Structures

Data Structures | Typedefs | Enumerations | Functions | Variables
Hdmi_common_v1_2

## Data Structures
struct | XHdmiC_VicTable
| This typedef contains Video identification information in tabular form. More...
struct | XHdmiC_FRL_CTS_N_Val
| FRL CTS/N Value Table. More...
struct | XHdmiC_TMDS_N_Table
| TMDS Char/N Value Table. More...
struct | XHdmiC_FrlRate
| This typedef contains translations of FRL_Rate to Lanes and Line Rates. More...
struct | XHDMIC_AVI_InfoFrame
| This typedef contains the data structure for Auxiliary Video Information Info frame. More...
struct | XHdmiC_GCP_Packet
| This typedef contains the data structure for General Control Packet. More...
struct | XHdmiC_Audio_InfoFrame
| This typedef contains the data structure for Audio Infoframe. More...

## Typedefs
typedef struct XHDMIC_AVI_InfoFrame | XHdmiC_AVI_InfoFrame
| This typedef contains the data structure for Auxiliary Video Information Info frame. More...
typedef struct XHdmiC_GCP_Packet | XHdmiC_GeneralControlPacket
| This typedef contains the data structure for General Control Packet. More...
typedef struct XHdmiC_Audio_InfoFrame | XHdmiC_AudioInfoFrame
| This typedef contains the data structure for Audio Infoframe. More...

## Enumerations
enum | XHdmiC_Colorspace { , XHDMIC_COLORSPACE_YUV420 }
enum | XHdmiC_FRLCharRate
| FRL Character Rate Enumeration. More...
enum | XHdmiC_MaxFrlRate
| FRL Rate Enumeration. More...

## Functions
u32 | XHdmiC_TMDS_GetNVal (u32 TMDSCharRate, XHdmiC_SamplingFrequency AudSampleFreq)
| This returns the the N Value based Audio Sampling Rate and TMDS Character Rate. More...
XHdmiC_SamplingFrequency | XHdmiC_TMDS_GetAudSampFreq (u32 TMDSCharRate, u32 N)
| This returns the Audio Sampling Rate and TMDS Character Rate. More...
u32 | XHdmiC_FRL_GetNVal (XHdmiC_FRLCharRate FRLCharRate, XHdmiC_SamplingFrequencyVal AudSampleFreqVal)
| This returns the N value in FRL mode based on its Audio Sample Frequency. More...
XHdmiC_SamplingFrequencyVal | XHdmiC_FRL_GetAudSampFreq (XHdmiC_FRLCharRate FRLCharRate, u32 CTS, u32 N)
| This returns the Audio Sample Frequency for FRL. More...
XHdmiC_SamplingFrequency | XHdmiC_GetAudIFSampFreq (XHdmiC_SamplingFrequencyVal AudSampFreqVal)
| This converts the Aud. More...
XHdmiC_SamplingFrequencyVal | XHdmiC_GetAudSampFreqVal (XHdmiC_SamplingFrequency AudSampFreqVal)
| This converts the Audio Info-frame Sampling Freq. More...
void | XV_HdmiC_ParseAVIInfoFrame (XHdmiC_Aux *AuxPtr, XHdmiC_AVI_InfoFrame *infoFramePtr)
| This function retrieves the Auxiliary Video Information Info Frame. More...
void | XV_HdmiC_ParseGCP (XHdmiC_Aux *AuxPtr, XHdmiC_GeneralControlPacket *GcpPtr)
| This function retrieves the General Control Packet. More...
void | XV_HdmiC_ParseAudioInfoFrame (XHdmiC_Aux *AuxPtr, XHdmiC_AudioInfoFrame *AudIFPtr)
| This function retrieves the Audio Info Frame. More...
XHdmiC_Aux | XV_HdmiC_AVIIF_GeneratePacket (XHdmiC_AVI_InfoFrame *infoFramePtr)
| This function generates and sends Auxilliary Video Infoframes. More...
XHdmiC_Aux | XV_HdmiC_AudioIF_GeneratePacket (XHdmiC_AudioInfoFrame *AudioInfoFrame)
| This function generates and sends Audio Infoframes. More...
XHdmiC_Colorspace | XV_HdmiC_XVidC_To_IfColorformat (XVidC_ColorFormat ColorFormat)
| This function converts the XVidC_ColorFormat to XHdmiC_Colorspace. More...
XVidC_AspectRatio | XV_HdmiC_IFAspectRatio_To_XVidC (XHdmiC_PicAspectRatio AR)
| This function converts the XVidC_ColorDepth to XHdmiC_ColorDepth. More...

## Variables
const XHdmiC_VicTable | VicTable [VICTABLE_SIZE]
| This table contains the attributes for various standard resolutions. More...
const XHdmiC_FrlRate | FrlRateTable []
| This table contains the attributes for various FRL Rate. More...
const XHdmiC_TMDS_N_Table | TMDSChar_N_Table []
| This table contains the CTS and N value of each TMDS character rate. More...
const XHdmiC_FRL_CTS_N_Table_t | FRL_CTS_N_Table []
| This table contains the CTS and N value of each FRL character rate. More...
const XHdmiC_VicTable | VicTable [VICTABLE_SIZE]
| This table contains the attributes for various standard resolutions. More...
const XHdmiC_FrlRate | FrlRateTable []
| This table contains the attributes for various FRL Rate. More...

## Typedef Documentation

typedef struct XHdmiC_Audio_InfoFrame XHdmiC_AudioInfoFrame

This typedef contains the data structure for Audio Infoframe.

typedef struct XHDMIC_AVI_InfoFrame XHdmiC_AVI_InfoFrame

This typedef contains the data structure for Auxiliary Video Information Info frame.

typedef struct XHdmiC_GCP_Packet XHdmiC_GeneralControlPacket

This typedef contains the data structure for General Control Packet.

## Enumeration Type Documentation

enum XHdmiC_Colorspace

Enumerator
XHDMIC_COLORSPACE_YUV420 | Version 3 AVI InfoFrame.

enum XHdmiC_FRLCharRate

FRL Character Rate Enumeration.

enum XHdmiC_MaxFrlRate

FRL Rate Enumeration.

## Function Documentation

XHdmiC_SamplingFrequencyVal XHdmiC_FRL_GetAudSampFreq | ( | XHdmiC_FRLCharRate | FRLCharRate,
|  | u32 | CTS,
|  | u32 | N
| ) |  |

This returns the Audio Sample Frequency for FRL.

References FRL_CTS_N_Table.

u32 XHdmiC_FRL_GetNVal | ( | XHdmiC_FRLCharRate | FRLCharRate,
|  | XHdmiC_SamplingFrequencyVal | AudSampleFreqVal
| ) |  |

This returns the N value in FRL mode based on its Audio Sample Frequency.

References FRL_CTS_N_Table.

XHdmiC_SamplingFrequency XHdmiC_GetAudIFSampFreq | ( | XHdmiC_SamplingFrequencyVal | AudSampFreqVal | ) |

This converts the Aud.

Sampling Freq. Value to Audio Info-frame Sampling Freq. Format.

XHdmiC_SamplingFrequencyVal XHdmiC_GetAudSampFreqVal | ( | XHdmiC_SamplingFrequency | AudSampFreqVal | ) |

This converts the Audio Info-frame Sampling Freq.

Format. to Audio Sampling Freq. Value.

XHdmiC_SamplingFrequency XHdmiC_TMDS_GetAudSampFreq | ( | u32 | TMDSCharRate,
|  | u32 | N
| ) |  |

This returns the Audio Sampling Rate and TMDS Character Rate.

References TMDSChar_N_Table.

u32 XHdmiC_TMDS_GetNVal | ( | u32 | TMDSCharRate,
|  | XHdmiC_SamplingFrequency | AudSampleFreq
| ) |  |

This returns the the N Value based Audio Sampling Rate and TMDS Character Rate.

References TMDSChar_N_Table.

XHdmiC_Aux XV_HdmiC_AudioIF_GeneratePacket | ( | XHdmiC_AudioInfoFrame * | AudioInfoFrame | ) |

This function generates and sends Audio Infoframes.

Parameters

  InstancePtr | is a pointer to the HDMI TX Subsystem instance.

Returns
  None.

Note
  None.

XHdmiC_Aux XV_HdmiC_AVIIF_GeneratePacket | ( | XHdmiC_AVI_InfoFrame * | infoFramePtr | ) |

This function generates and sends Auxilliary Video Infoframes.

Parameters

  InstancePtr | is a pointer to the HDMI TX Subsystem instance.

Returns
  None.

Note
  None.

XVidC_AspectRatio XV_HdmiC_IFAspectRatio_To_XVidC | ( | XHdmiC_PicAspectRatio | AR | ) |

This function converts the XVidC_ColorDepth to XHdmiC_ColorDepth.

Parameters

  Bpc | is the XVidC_ColorDepth value to be converted

Returns
  XHdmiC_ColorDepth value.

Note
  None.

void XV_HdmiC_ParseAudioInfoFrame | ( | XHdmiC_Aux * | AuxPtr,
|  | XHdmiC_AudioInfoFrame * | AudIFPtr
| ) |  |

This function retrieves the Audio Info Frame.

Parameters

  None. |

Returns
  None.

Note
  None.

void XV_HdmiC_ParseAVIInfoFrame | ( | XHdmiC_Aux * | AuxPtr,
|  | XHdmiC_AVI_InfoFrame * | infoFramePtr
| ) |  |

This function retrieves the Auxiliary Video Information Info Frame.

Parameters

  None. |

Returns
  None.

Note
  None.

void XV_HdmiC_ParseGCP | ( | XHdmiC_Aux * | AuxPtr,
|  | XHdmiC_GeneralControlPacket * | GcpPtr
| ) |  |

This function retrieves the General Control Packet.

Parameters

  None. |

Returns
  None.

Note
  None.

XHdmiC_Colorspace XV_HdmiC_XVidC_To_IfColorformat | ( | XVidC_ColorFormat | ColorFormat | ) |

This function converts the XVidC_ColorFormat to XHdmiC_Colorspace.

Parameters

  ColorFormat | is the XVidC_ColorFormat value to be converted

Returns
  XHdmiC_Colorspace value.

Note
  None.

References XHDMIC_COLORSPACE_YUV420.

## Variable Documentation

const XHdmiC_FRL_CTS_N_Table_t FRL_CTS_N_Table[]

This table contains the CTS and N value of each FRL character rate.

Each entry is of the format: 1) Sample Frequency (32kHz, 44.1kHz, and 48kHz)

Referenced by XHdmiC_FRL_GetAudSampFreq(), and XHdmiC_FRL_GetNVal().

const XHdmiC_FrlRate FrlRateTable[]

Initial value:
= {
{3, 0},
{3, 3},
{3, 6},
{4, 6},
{4, 8},
{4, 10},
{4, 12},
}

This table contains the attributes for various FRL Rate.

Each entry is of the format: 1) Number of lanes 2) Line Rate.

const XHdmiC_FrlRate FrlRateTable[]

This table contains the attributes for various FRL Rate.

Each entry is of the format: 1) Number of lanes 2) Line Rate.

const XHdmiC_TMDS_N_Table TMDSChar_N_Table[]

Initial value:
=
{
{ 0, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 25200000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 27000000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 31500000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 33750000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 37800000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 40500000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 50400000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 54000000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 67500000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 74250000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 81000000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{ 92812500, { 8192, 6272, 12288, 12544, 24576, 25088, 49152}},
{108000000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{111375000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{148500000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{185625000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{222750000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{297000000, { 3072, 4704, 5120, 9408, 10240, 18816, 20480}},
{371250000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{445500000, { 4096, 6272, 6144, 12544, 12288, 25088, 24576}},
{594000000, { 3072, 9408, 6144, 18816, 12288, 37632, 24576}}
}

This table contains the CTS and N value of each TMDS character rate.

Each entry is of the format: 1) Sample Frequency TMDS CLk, (32kHz, 44.1kHz, and 48kHz)

Referenced by XHdmiC_TMDS_GetAudSampFreq(), and XHdmiC_TMDS_GetNVal().

const XHdmiC_VicTable VicTable[VICTABLE_SIZE]

This table contains the attributes for various standard resolutions.

Each entry is of the format: 1) Resolution ID 2) Video Identification Code.

const XHdmiC_VicTable VicTable[VICTABLE_SIZE]

This table contains the attributes for various standard resolutions.

Each entry is of the format: 1) Resolution ID 2) Video Identification Code.